Is php on my server properly configured to contact dashboard api

Hello, all of a sudden today I am getting an error "Is php on my server properly configured to be able to contact https://premium.wpmudev.org/api/dashboard/v2/ with a POST HTTP request via fsockopen or CURL?" I am trying to install this on all my sites, and I had no issue this morning other other sites that run on the same server. Then all of a sudden this started happening... I think maybe I am being blocked on your end possibly

Here is the whole error:
"Is php on my server properly configured to be able to contact https://premium.wpmudev.org/api/dashboard/v2/ with a POST HTTP request via fsockopen or CURL?"